## privoxy 3.0.26

=== Makefile ===
# $Id: Makefile,v 1.12 2016/04/04 10:50:18 fabiankeil Exp $
#
# Written by and Copyright (C) 2001 the SourceForge
# Privoxy team. http://www.privoxy.org/
#
# Based on the Internet Junkbuster originally written
# by and Copyright (C) 1997 Anonymous Coders and 
# Junkbusters Corporation.  http://www.junkbusters.com
#
# This program is free software; you can redistribute it 
# and/or modify it under the terms of the GNU General
# Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# The GNU General Public License should be included with
# this file.  If not, you can view it at
# http://www.gnu.org/copyleft/gpl.html
# or write to the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#############################################################################

GNU_MAKE_CMD = gmake
MAKE_CMD     = make

error:
	@if [ -f GNUmakefile ]; then \
	    echo "***"; \
	    echo "*** You are not using the GNU version of Make - maybe it's called gmake"; \
	    echo "*** or it's in a different PATH? Please read INSTALL." ; \
	    echo "***"; \
	    exit 1; \
	 elif test -n "$(HOST_ARCH)"  && test -z "$(MAKE_VERSION)" ; then \
	    echo "***"; \
	    echo "*** You are not using GNU Make on Solaris, please make sure you do" ; \
	    echo "*** and re-run 'make' "; \
	    echo "***"; \
	    exit 1 ; \
	 elif test -n "$(MACHINE_ARCH)"  && test -z "$(MAKE_VERSION)" ; then \
	    echo "***"; \
	    echo "*** You are not using GNU Make on FreeBSD, please make sure you do" ; \
	    echo "*** and re-run 'make' "; \
	    echo "***"; \
	    exit 1 ; \
	 else \
	    echo "***"; \
	    echo "*** To build this program, you must run"; \
	    echo "*** autoheader && autoconf && ./configure and then run GNU make."; \
	    echo "***"; \
	    echo -n "*** Shall I do this for you now? (y/n) "; \
	    read answer; \
	    if [ "$$answer" = "y" ]; then \
		autoheader && autoconf && ./configure || exit 1; \
	  	if $(GNU_MAKE_CMD) -v |grep GNU >/dev/null 2>/dev/null; then \
		   $(GNU_MAKE_CMD) ;\
		elif $(MAKE_CMD) -v |grep GNU >/dev/null 2>/dev/null; then \
		   $(MAKE_CMD) ;\
		else \
		   echo "Neither 'make' nor 'gmake' are GNU compatible!" ; \
		   echo "Please read INSTALL." ; \
		   exit 1 ; \
		fi ;\
	    fi; \
	 fi

.PHONY: error

#############################################################################

## Local Variables:
## tab-width: 3
## end:

=== debian/changelog ===
privoxy (3.0.26-5ubuntu0.3) bionic-security; urgency=medium

  * SECURITY UPDATE: Denial of Service
    - debian/patches/CVE-2021-44540.patch: fixed the  get_url_spec_param() 
      by freeing memory of compiled pattern spec before bailing.
    - CVE-2021-44540
  * SECURITY UPDATE: XSS
    - debian/patches/CVE-2021-44543.patch: fixed the cgi_error_no_template()
      by encoding the template name.
    - CVE-2021-44543

 -- Amir Naseredini <amir.naseredini@canonical.com>  Thu, 19 Jan 2023 11:16:20 +0000

privoxy (3.0.26-5ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow
    - debian/patches/38_CVE-2021-20217.patch: Prevent an assertion by a
      crafted CGI request.
    - CVE-2021-20217
  * SECURITY UPDATE: Memory leak
    - debian/patches/40_CVE-2021-20216.patch: Fix a memory leak.
    - debian/patches/41_CVE-2020-35502.patch: Fixed memory leaks when a
      response is buffered and the buffer limit is reached or Privoxy is
      running out of memory.
    - debian/patches/42_CVE-2021-20209.patch: Fixed a memory leak in the
      show-status CGI handler when no action files are configured.
    - debian/patches/43_CVE-2021-20210.patch: Fixed a memory leak in the show-status
      CGI handler when no filter files are configured.
    - debian/patches/44_CVE-2021-20211.patch: Fixes a memory leak when client tags
      are active.
    - debian/patches/45_CVE-2021-20212.patch: Fixed a memory leak if multiple
      filters are executed and the last one is skipped due to a pcre error.
    - debian/patches/48_CVE-2021-20215.patch: Fixed memory leaks in the show-status
      CGI handler when memory allocations fail.
    - CVE-2021-20216
    - CVE-2020-35502
    - CVE-2021-20209
    - CVE-2021-20210
    - CVE-2021-20211
    - CVE-2021-20212
    - CVE-2021-20215
  * SECURITY UPDATE: Denial of Service
    - debian/patches/46_CVE-2021-20213.patch: Prevent an unlikely dereference of a
      NULL-pointer that could result in a crash if accept-intercepted-requests
      was enabled.
    - debian/patches/49_CVE-2021-20272.patch: Remove an assertion that could be
      triggered with a crafted CGI request.
    - debian/patches/50_CVE-2021-20273.patch: Overrule invalid image types.
      Prevents a crash with a crafted CGI request if Privoxy is toggled off.
    - debian/patches/51_CVE-2021-20275.patch: Prevent invalid read of size two.
    - debian/patches/52_CVE-2021-20276.patch: Obsolete pcre: Prevent invalid memory
      accesses.
    - CVE-2021-20213
    - CVE-2021-20272
    - CVE-2021-20273
    - CVE-2021-20275
    - CVE-2021-20276
  * Fix detection of insufficient data: debian/patches/39_decompress_iob.patch

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 16 Mar 2021 15:51:43 +0100

privoxy (3.0.26-5) unstable; urgency=medium

  * Add ru debconf translation.  Thanks to Lev Lamberov (Closes: #883110).
  * Optimize patches for gbp pq.
  * Upgrade to Standards-Version 4.1.3 (no changes).
  * Upgrade to debhelper v11 (remove systemd from dh call).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 20 Jan 2018 12:49:42 +0100

privoxy (3.0.26-4) unstable; urgency=medium

  * Add pt debconf translation.  Thanks to Rui Branco (Closes: #858743).
  * Add description to 36_openspopenjade.patch.
  * Upgrade to debhelper v10 and remove dh-systemd build dependency.
  * debhelper v10 replaces autotools-dev.
  * Remove Testsuite header, since this is automatically added.
  * Upgrade to Standards-Version 4.1.1
    - change copyrights-format to https.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 01 Nov 2017 10:45:49 +0100

privoxy (3.0.26-3) unstable; urgency=medium

  * Add da debconf translation.  Thanks to Joe Dalton (Closes: #850876).
  * 37_adventofcode: unlock adventofcode.com (Closes: #848211).

 -- Roland Rosenfeld <roland@debian.org>  Wed, 11 Jan 2017 22:24:55 +0100

privoxy (3.0.26-2) unstable; urgency=medium

  * Add db_stop to postinst, since upgrade fails otherwise in some
    situations (Closes: #835409).
  * Replace sp and jade with opensp and openjade.  Thanks to Neil Roeth
    for providing a patch (Closes: #837207).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 10 Sep 2016 08:48:35 +0200

privoxy (3.0.26-1) unstable; urgency=medium

  * New upstream version 3.0.26.
  * This includes 36_listen-nohost.patch.
  * Updated all patches to new version.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 27 Aug 2016 22:28:32 +0200

privoxy (3.0.25-2) unstable; urgency=medium

  * Add pt_BR debconf translation.  Thanks to Adriano Rafael Gomes
    (Closes: #827327).
  * Symlink p_doc.css to user-manual.
  * Install regression-tests.action.
  * Enable autopkgtest and run privoxy-regression-test.pl.
  * Install privoxy-regression-test and man page to binary package.
  * Updated debian/copyright to catch all copyright variants.
  * Remove outdated stuff from README.Debian.
  * 36_listen-nohost: Fix crashes with "listen-addr :8118" (Closes: #834941).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 23 Aug 2016 09:27:34 +0200

privoxy (3.0.25-1) unstable; urgency=medium

  * New upstream version 3.0.25 (beta).
  * Adapt all patches to new upstream version.
  * Update debian/copyright to new privoxy home.
  * Add sv debconf translation.  Thanks to Jonatan Nyberg (Closes: #824913).
  * Add fr debconf translation.  Thanks to Steve Petruzzello (Closes: #825478).
  * Add nl debconf translation.  Thanks to Frans Spiesschaert (Closes: #825691).
  * privoxy.service: Run after network.target (Closes: #825358).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 28 May 2016 23:13:56 +0200

privoxy (3.0.24-2) unstable; urgency=medium

  * Upgrade Standards-Version to 3.9.8 (no changes).
  * Add -p to QUILT_DIFF_OPTS.
  * Add Documentation key to privoxy.service.
  * 35_man-spelling: Fix spelling error in privoxy-log-parser(1).
  * Add debconf and ucf support to make listen-address configurable.
    Thanks to James Valleroy for providing the code (Closes: #798219).


=== debian/control ===
Source: privoxy
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Roland Rosenfeld <roland@debian.org>
Build-Depends: autoconf,
               debhelper (>= 11~),
               docbook,
               docbook-dsssl,
               docbook-utils,
               groff,
               libpcre3-dev,
               man2html,
               opensp,
               po-debconf,
               sgmlspl,
               w3m,
               zlib1g-dev
Standards-Version: 4.1.3
Homepage: https://www.privoxy.org/

Package: privoxy
Architecture: any
Depends: adduser,
         debconf,
         logrotate,
         lsb-base (>= 3.2-13),
         ucf,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: doc-base
Description: Privacy enhancing HTTP Proxy
 Privoxy is a web proxy with advanced filtering capabilities for
 protecting privacy, filtering web page content, managing cookies,
 controlling access, and removing ads, banners, pop-ups and other
 obnoxious Internet junk. Privoxy has a very flexible configuration
 and can be customized to suit individual needs and tastes. Privoxy
 has application for both stand-alone systems and multi-user networks.
 .
 Privoxy is based on Internet Junkbuster (tm).

=== debian/rules ===
#!/usr/bin/make -f
#
# (c) 2002-2018 Roland Rosenfeld <roland@debian.org>
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEBDIR=`pwd`/debian/privoxy

%:
	dh $@

override_dh_auto_configure:
	autoheader
	autoconf
	dh_auto_configure -- \
		--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=/usr/share/man \
		--enable-zlib \
		--enable-no-gifs \
		--enable-external-filters \
		--with-docbook=/usr/share/sgml/docbook/stylesheet/dsssl/modular

override_dh_auto_build:
	$(MAKE)
# 	preserve auto build documentation from source package:
	tar cf debian/doc.tar README INSTALL AUTHORS doc/source doc/webserver
	env -u LANG LC_ALL=C.UTF-8 $(MAKE) dok
	rm -f doc/webserver/user-manual/*.bak
	env -u LANG LC_ALL=C.UTF-8 $(MAKE) man

override_dh_auto_clean:
#	restore auto build documentation from source package:
	[ ! -f debian/doc.tar ] || tar xf debian/doc.tar
	rm -f debian/doc.tar
	find doc/source -name \*.html | xargs -r rm -f
	[ ! -f GNUmakefile ] || $(MAKE) clean
	[ ! -f GNUmakefile ] || $(MAKE) distclean
	rm -f configure config.h GNUmakefile
	rm -f privoxy.8
	rm -rf obj
	rm -f ActivityConsole.jar
	rm -f src/java/org/privoxy/activityconsole/*.class
	rm -f doc/source/ldp.dsl
	rm -rf doc/source/temp
	dh_clean -Xrc.privoxy.orig

override_dh_auto_install:
	install -m 0755 privoxy $(DEBDIR)/usr/sbin/privoxy
	sed -e 's/\(Sample Configuration File for Privoxy\).*/\1/;' \
	    -e 's/\$$Id: config,v.*/Id: config,v/' < config \
	    > $(DEBDIR)/usr/share/privoxy/config
	install -m 0644 default.action $(DEBDIR)/etc/privoxy/default.action
	install -m 0644 match-all.action $(DEBDIR)/etc/privoxy/match-all.action
	install -m 0644 user.action $(DEBDIR)/etc/privoxy/user.action
	install -m 0644 regression-tests.action \
		$(DEBDIR)/etc/privoxy/regression-tests.action
	install -m 0644 default.filter $(DEBDIR)/etc/privoxy/default.filter
	install -m 0644 user.filter $(DEBDIR)/etc/privoxy/user.filter
	install -m 0644 trust $(DEBDIR)/etc/privoxy/trust

	install -m 0755 tools/privoxy-log-parser.pl \
		$(DEBDIR)/usr/bin/privoxy-log-parser
	pod2man tools/privoxy-log-parser.pl \
		> $(DEBDIR)/usr/share/man/man1/privoxy-log-parser.1

	install -m 0755 tools/privoxy-regression-test.pl \
		$(DEBDIR)/usr/bin/privoxy-regression-test
	pod2man tools/privoxy-regression-test.pl \
		> $(DEBDIR)/usr/share/man/man1/privoxy-regression-test.1

	cp -r templates $(DEBDIR)/etc/privoxy/
	rm -f $(DEBDIR)/etc/privoxy/templates/*~
	rm -rf $(DEBDIR)/etc/privoxy/templates/CVS

#	Remove CVS tags and trailing spaces from config files:
	find $(DEBDIR)/etc/privoxy -type f \
	| xargs grep -l '\$$[A-Z][^$$]*:[^$$]*\$$' \
	| while read f; do \
	    sed -e 's/\$$\(Id: [^$$]*,v\)[^$$]*\$$/\1/' \
		-e 's/\$$\(Source: [^$$]*\)\$$/\1/' \
		-e 's/\$$\(Log: [^$$]*\)\$$/\1/' \
		-e 's/ *$$//' < $$f > $$f.new; \
	    mv -f $$f.new $$f; \
	done

override_dh_installdocs:
	dh_installdocs -XCVS
	(cd $(DEBDIR)/usr/share/doc/privoxy/; \
	 mv privoxy-index.html index.html)
	(cd $(DEBDIR)/usr/share/doc/privoxy/user-manual; ln -s '../p_doc.css')

override_dh_perl:
#	We only need perl-base:
	dh_perl -d

=== debian/tests/control ===
Tests: privoxy-regression-test
Depends: @, curl

## privoxy 3.0.28

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-# $Id: Makefile,v 1.12 2016/04/04 10:50:18 fabiankeil Exp $
-#
 # Written by and Copyright (C) 2001 the SourceForge
 # Privoxy team. http://www.privoxy.org/
 #

=== debian/changelog ===
privoxy (3.0.28-2) unstable; urgency=medium

  * d/tests/privoxy-regression-test: Remove tmpdir on exit.
  * 36_trusted-cgi-referer-example: Comment trusted-cgi-referer pointing
    to example.org
  * d/maintscript: Remove orphaned /etc/privoxy/templates/show-version
    (Closes: #918110).
  * 37_ppedit-tests403: Update a bunch of regression tests that have to
    expect status code 403 now.
  * Enable enable-edit-actions in privoxy-regression-test again.
  * Upgrade to debhelper v12.
  * Update (minimal) upstream signing key.
  * Add Pre-Depends: ${misc:Pre-Depends} for --skip-systemd-native.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 06 Jan 2019 13:07:14 +0100

privoxy (3.0.28-1) unstable; urgency=medium

  [ Roland Rosenfeld ]
  * Add es debconf translation.  Thanks to Jonathan Bustillos (Closes: #903863).
  * 38_connection_close: Don't add a "Connection" header for CONNECT requests.

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/watch: Use https protocol

  [ Roland Rosenfeld ]
  * d/tests: Fix leftover ADTTMP.
  * Add salsa CI pipeline in debian/gitlab-ci.yml.
  * New upstream version 3.0.28.
  * Adapt all patches to new version (06_8bit_manual is implemented in a
    better way upstream now, 36_openspopenjade is replaced by some
    autoconf code, 37_adventofcode and 38_connection_close are included
    upstream).
  * Update debian/copyright.
  * Upgrade to Standards-Version 4.3.0 (Declare Rules-Requires-Root: no).
  * Move PID file from /var/run to /run.
  * Undo voodoo to remove CVS tags from configs since upstream uses git
    now.
  * Disable enable-edit-actions in privoxy-regression-test, since the test
    seems to be broken (does not use referrer, which is required here).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 31 Dec 2018 16:52:27 +0100

privoxy (3.0.26-6) unstable; urgency=medium

  * Fix typo in patch description.
  * postinst: avoid using chown -R.
  * Move source.lintian-overrides to soure/lintian-overrides.
  * Add Vcs-headers pointing to salsa.
  * Upgrade to Standards-Version 4.1.4 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 29 Apr 2018 11:57:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: privoxy
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roland Rosenfeld <roland@debian.org>
+Maintainer: Roland Rosenfeld <roland@debian.org>
 Build-Depends: autoconf,
-               debhelper (>= 11~),
+               debhelper (>= 12~),
                docbook,
                docbook-dsssl,
                docbook-utils,
@@ -16,8 +15,11 @@
                sgmlspl,
                w3m,
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://www.privoxy.org/
+Vcs-Git: https://salsa.debian.org/debian/privoxy.git
+Vcs-Browser: https://salsa.debian.org/debian/privoxy
+Rules-Requires-Root: no
 
 Package: privoxy
 Architecture: any
@@ -29,6 +31,7 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Recommends: doc-base
 Description: Privacy enhancing HTTP Proxy
  Privoxy is a web proxy with advanced filtering capabilities for

=== debian/rules ===
--- 
+++ 
@@ -51,8 +51,7 @@
 
 override_dh_auto_install:
 	install -m 0755 privoxy $(DEBDIR)/usr/sbin/privoxy
-	sed -e 's/\(Sample Configuration File for Privoxy\).*/\1/;' \
-	    -e 's/\$$Id: config,v.*/Id: config,v/' < config \
+	sed -e 's/\(Sample Configuration File for Privoxy\).*/\1/;' < config \
 	    > $(DEBDIR)/usr/share/privoxy/config
 	install -m 0644 default.action $(DEBDIR)/etc/privoxy/default.action
 	install -m 0644 match-all.action $(DEBDIR)/etc/privoxy/match-all.action
@@ -75,21 +74,17 @@
 
 	cp -r templates $(DEBDIR)/etc/privoxy/
 	rm -f $(DEBDIR)/etc/privoxy/templates/*~
-	rm -rf $(DEBDIR)/etc/privoxy/templates/CVS
 
-#	Remove CVS tags and trailing spaces from config files:
+#      Remove trailing spaces from config files:
 	find $(DEBDIR)/etc/privoxy -type f \
-	| xargs grep -l '\$$[A-Z][^$$]*:[^$$]*\$$' \
+	| xargs grep -l ' $$' \
 	| while read f; do \
-	    sed -e 's/\$$\(Id: [^$$]*,v\)[^$$]*\$$/\1/' \
-		-e 's/\$$\(Source: [^$$]*\)\$$/\1/' \
-		-e 's/\$$\(Log: [^$$]*\)\$$/\1/' \
-		-e 's/ *$$//' < $$f > $$f.new; \
+	    sed -e 's/  *$$//' < $$f > $$f.new; \
 	    mv -f $$f.new $$f; \
 	done
 
 override_dh_installdocs:
-	dh_installdocs -XCVS
+	dh_installdocs
 	(cd $(DEBDIR)/usr/share/doc/privoxy/; \
 	 mv privoxy-index.html index.html)
 	(cd $(DEBDIR)/usr/share/doc/privoxy/user-manual; ln -s '../p_doc.css')

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

#http://sourceforge.net/project/showfiles.php?group_id=11118 http://prdownloads.sourceforge.net/ijbswa/privoxy-(.*)-stable-src.tar.gz\?download

opts=pgpsigurlmangle=s/$/.asc/ https://sf.net/ijbswa/privoxy-(\d+.*)-(?:stable|beta)-src.tar.gz

## privoxy 3.0.32

=== debian/changelog ===
privoxy (3.0.32-2+deb11u1) bullseye; urgency=medium

  * 53_CVE-2021-44540: get_url_spec_param(): Free memory of compiled
    pattern spec before bailing (CVE-2021-44540).
  * 54_CVE-2021-44541: process_encrypted_request_headers(): Free header
    memory when failing to get the request destination (CVE-2021-44541).
  * 55_CVE-2021-44542: send_http_request(): Prevent memory leaks when
    handling errors (CVE-2021-44542).
  * 56_CVE-2021-44543: cgi_error_no_template(): Encode the template name
    to prevent XSS (CVE-2021-44543).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 07 Dec 2021 19:59:33 +0100

privoxy (3.0.32-2) unstable; urgency=medium

  * Work around apparmor failure in testsuite (Closes: #986258).
  * apparmor: Allow multiple instances using /run/privoxy*.pid
  * README.Debian: add information about apparmor.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 03 Apr 2021 11:17:39 +0200

privoxy (3.0.32-1) unstable; urgency=medium

  * New upstream release 3.0.32.
  * Adapt all patches to new version.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 25 Feb 2021 22:18:54 +0100

privoxy (3.0.31-1) unstable; urgency=medium

  * New upstream release 3.0.31.
  * Support nodoc build option.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 30 Jan 2021 21:40:46 +0100

privoxy (3.0.30-1) unstable; urgency=medium

  * New upstream release 3.0.30.
  * Update all patches to new version.
  * 15_mansection8, 35_man-spelling, 39_show-status and 40_redirect-ssl
    are now incorporated upstream.
  * Optimize debian/rules clean to restore pristine state.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 28 Jan 2021 22:00:05 +0100

privoxy (3.0.29-2) unstable; urgency=medium

  * Use --enable-extended-statistics and --enable-pcre-host-patterns.
  * 39_show-status: Add new features to show-status page.
  * Remove 38_SOURCE_DATE_EPOCH, since upstream honors it when set.
  * Upgrade to Standards-Version 4.5.1 (no changes).
  * 40_redirect-ssl: Check the actual URL when https inspecting requests.
  * Add apparmor profile usr.sbin.privoxy.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 17 Jan 2021 13:10:33 +0100

privoxy (3.0.29-1) unstable; urgency=medium

  * New upstream release 3.0.29.
  * Update all patches to new version.
  * 36_trusted-cgi-referer-example and 37_ppedit-tests403 are now
    incorporated upstream.
  * d/copyright: Update to new upstream version.
  * d/copyright: use ./ prefix to upstream filenames, because orig.tar.gz
    is build with a ./ prefix.
  * Upgrade to debhelper v13.
  * Rebuild privoxy-man-page.html.
  * 38_SOURCE_DATE_EPOCH: Remove hardcoded SOURCE_DATE_EPOCH from
    configure.in but use the date from debian/changelog.
  * Remove 05_defaut_action since this is no longer needed.
  * Tag all patches with Forwarded header.
  * debian/watch: Cleanup and update to version 4.
  * Compile --with-mbedtls to allow https-inspection.
  * Adapt TLS/SSL settings to Debian FHS.
  * Generate dirs with correct permissions for https-inspection.
  * Delete https-inspection certs on purge.
  * Expire https-inspection certs after 90 days.
  * Compile --with-brotli to enable support for brotli decompression.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 29 Nov 2020 14:22:27 +0100

privoxy (3.0.28-3) unstable; urgency=medium

  * Add buildlog to salsa-ci test pipeline.
  * d/salsa-ci.yml stripped down using pipline-jobs.yml
  * Build-depend on debhelper-compat (= 12) instead of using d/compat.
  * Upgrade to Standards-Version 4.5.0 (no changes).
  * Add upstream metadata.
  * privoxy.service: run After=network-online.target, this fixes
    LP#1870101.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 02 Apr 2020 18:04:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,22 @@
 Priority: optional
 Maintainer: Roland Rosenfeld <roland@debian.org>
 Build-Depends: autoconf,
-               debhelper (>= 12~),
-               docbook,
-               docbook-dsssl,
-               docbook-utils,
-               groff,
+               debhelper-compat (= 13),
+               dh-apparmor,
+               docbook <!nodoc>,
+               docbook-dsssl <!nodoc>,
+               docbook-utils <!nodoc>,
+               groff <!nodoc>,
+               libbrotli-dev,
+               libmbedtls-dev,
                libpcre3-dev,
-               man2html,
-               opensp,
+               man2html <!nodoc>,
+               opensp <!nodoc>,
                po-debconf,
-               sgmlspl,
-               w3m,
+               sgmlspl <!nodoc>,
+               w3m <!nodoc>,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://www.privoxy.org/
 Vcs-Git: https://salsa.debian.org/debian/privoxy.git
 Vcs-Browser: https://salsa.debian.org/debian/privoxy
@@ -33,6 +36,7 @@
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: doc-base
+Suggests: apparmor
 Description: Privacy enhancing HTTP Proxy
  Privoxy is a web proxy with advanced filtering capabilities for
  protecting privacy, filtering web page content, managing cookies,

=== debian/tests/control ===
Tests: privoxy-regression-test
Depends: curl, @

## privoxy 3.0.33

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# Written by and Copyright (C) 2001 the SourceForge
-# Privoxy team. http://www.privoxy.org/
+# Written by and Copyright (C) 2001 the
+# Privoxy team. https://www.privoxy.org/
 #
 # Based on the Internet Junkbuster originally written
 # by and Copyright (C) 1997 Anonymous Coders and

=== debian/changelog ===
privoxy (3.0.33-1build1) jammy; urgency=medium

  * No-change rebuild against libmbedcrypto7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Feb 2022 23:46:29 +0000

privoxy (3.0.33-1) unstable; urgency=medium

  * New upstream version 3.0.33.
  * Adapt all patches to new version.
  * Remove pcre dir from copyright and debian/source/lintian-overrides.
  * Undo lintian override for bug 992465.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 08 Dec 2021 16:29:31 +0100

privoxy (3.0.32-3) unstable; urgency=medium

  * d/maintscript: Remove orphaned /etc/privoxy/(standard|global).action
    (Closes: #990157).
  * No longer "rm /etc/privoxy" on purge.
  * postrm: optimize ucf purge of /etc/privoxy/config*
  * Update to Standards-Version 4.6.0 (no changes).
  * Use "command -v" instead of deprecated "which" in postrm.
  * Override lintian bug 992465 (usr/lib/systemd outside /lib).
  * debian/control: update Build-Depends for cross builds.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 27 Aug 2021 13:26:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: privoxy
 Section: web
 Priority: optional
-Maintainer: Roland Rosenfeld <roland@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Roland Rosenfeld <roland@debian.org>
 Build-Depends: autoconf,
                debhelper-compat (= 13),
                dh-apparmor,
@@ -13,12 +14,12 @@
                libmbedtls-dev,
                libpcre3-dev,
                man2html <!nodoc>,
-               opensp <!nodoc>,
+               opensp:native <!nodoc>,
                po-debconf,
                sgmlspl <!nodoc>,
                w3m <!nodoc>,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.privoxy.org/
 Vcs-Git: https://salsa.debian.org/debian/privoxy.git
 Vcs-Browser: https://salsa.debian.org/debian/privoxy

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# (c) 2002-2018 Roland Rosenfeld <roland@debian.org>
+# (c) 2002-2021 Roland Rosenfeld <roland@debian.org>
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -23,36 +23,52 @@
 		--enable-zlib \
 		--enable-no-gifs \
 		--enable-external-filters \
+		--enable-extended-statistics \
+		--enable-pcre-host-patterns \
+		--with-mbedtls \
+		--with-brotli \
 		--with-docbook=/usr/share/sgml/docbook/stylesheet/dsssl/modular
 
 override_dh_auto_build:
 	$(MAKE)
+
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 # 	preserve auto build documentation from source package:
-	tar cf debian/doc.tar README INSTALL AUTHORS doc/source doc/webserver
+	tar cf debian/doc.tar README INSTALL AUTHORS doc/webserver privoxy.8
 	env -u LANG LC_ALL=C.UTF-8 $(MAKE) dok
 	rm -f doc/webserver/user-manual/*.bak
 	env -u LANG LC_ALL=C.UTF-8 $(MAKE) man
+	env -u LANG LC_ALL=C.UTF-8 $(MAKE) man2html
+endif
 
 override_dh_auto_clean:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 #	restore auto build documentation from source package:
 	[ ! -f debian/doc.tar ] || tar xf debian/doc.tar
 	rm -f debian/doc.tar
+endif
 	find doc/source -name \*.html | xargs -r rm -f
 	[ ! -f GNUmakefile ] || $(MAKE) clean
 	[ ! -f GNUmakefile ] || $(MAKE) distclean
 	rm -f configure config.h GNUmakefile
-	rm -f privoxy.8
 	rm -rf obj
 	rm -f ActivityConsole.jar
 	rm -f src/java/org/privoxy/activityconsole/*.class
 	rm -f doc/source/ldp.dsl
 	rm -rf doc/source/temp
-	dh_clean -Xrc.privoxy.orig
+	dh_clean
 
 override_dh_auto_install:
 	install -m 0755 privoxy $(DEBDIR)/usr/sbin/privoxy
 	sed -e 's/\(Sample Configuration File for Privoxy\).*/\1/;' < config \
 	    > $(DEBDIR)/usr/share/privoxy/config
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	echo "with doc"
+else
+#	use remote user-manual (default) on nodoc configuration:
+	sed -i 's/^user-manual/#user-manual/' \
+		$(DEBDIR)/usr/share/privoxy/config
+endif
 	install -m 0644 default.action $(DEBDIR)/etc/privoxy/default.action
 	install -m 0644 match-all.action $(DEBDIR)/etc/privoxy/match-all.action
 	install -m 0644 user.action $(DEBDIR)/etc/privoxy/user.action
@@ -83,11 +99,19 @@
 	    mv -f $$f.new $$f; \
 	done
 
+override_dh_install:
+	dh_install
+	install -m0644 debian/apparmor/usr.sbin.privoxy \
+		$(DEBDIR)/etc/apparmor.d/
+	dh_apparmor --profile-name=usr.sbin.privoxy
+
 override_dh_installdocs:
 	dh_installdocs
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	(cd $(DEBDIR)/usr/share/doc/privoxy/; \
 	 mv privoxy-index.html index.html)
 	(cd $(DEBDIR)/usr/share/doc/privoxy/user-manual; ln -s '../p_doc.css')
+endif
 
 override_dh_perl:
 #	We only need perl-base:

=== debian/watch ===
# See uscan(1) for format

version=4

opts=pgpsigurlmangle=s/$/.asc/ \
https://sf.net/ijbswa/privoxy-(\d+.*)-(?:stable|beta)-src.tar.gz

## privoxy 3.0.34

=== Makefile ===
--- 
+++ 
@@ -70,6 +70,8 @@
 
 .PHONY: error
 
+dok: error
+
 #############################################################################
 
 ## Local Variables:

=== debian/changelog ===
privoxy (3.0.34-3ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:15:19 +1100

privoxy (3.0.34-3ubuntu1) noble; urgency=medium

  * debian/apparmor/usr.sbin.privoxy: attempt on fixing the denial on
    containers (LP: #2058866).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 26 Mar 2024 17:16:43 +0100

privoxy (3.0.34-3build1) noble; urgency=medium

  * No-change rebuild against mbedtls t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2024 18:19:17 +0100

privoxy (3.0.34-3) unstable; urgency=medium

  * 35_pcre2-support: Update patch based on upstream GIT.
  * 36_pcre2-patternfix: Fix using anchored pattern in pcre2.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 27 Aug 2023 16:20:57 +0200

privoxy (3.0.34-2) unstable; urgency=medium

  * Add ro debconf translation.  Thanks to Remus-Gabriel Chelu
    (Closes: #1033443).
  * 35_pcre2-support: Build with libpcre2-dev instead of obsolete pcre3
    (Closes: #999981).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 30 Jun 2023 09:28:22 +0200

privoxy (3.0.34-1) unstable; urgency=medium

  * New upstream version 3.0.34.
  * The following patches are now incorporated upstream: 35_gif_deanimate,
    36_pending_tls, 37_https_connect.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 05 Feb 2023 10:41:26 +0100

privoxy (3.0.33-4) unstable; urgency=medium

  * Add it debconf translation.  Thanks to Ceppo <ceppo@oziosi.org>
    (Closes: #1024071).
  * Update to Standards-Version 4.6.2 (no changes).
  * Remove lsb-base dependency, since it is essential.
  * 35_gif_deanimate: Tolerate multiple image extensions in a row.
  * 36_pending_tls: Check for pending TLS data from the client before
    checking if data is available on the connection.
  * 37_https_connect: Reject https URLs without CONNECT request.
  * d/maintscript: fix version numbers.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 28 Jan 2023 15:46:54 +0100

privoxy (3.0.33-3) unstable; urgency=medium

  * d/tests/conditional-defines: ignore 32-bit time_t on 32bit systems.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 25 Sep 2022 19:49:17 +0200

privoxy (3.0.33-2) unstable; urgency=medium

  * d/maintscript: Remove orphaned
    templates/edit-actions-for-url-string-filter (Closes: #1001501).
  * d/tests/conditional-defines: Check that expected #defines are enabled.
  * d/rules: --enable-compression at build time (still disabled in config).
  * d/tests/privoxy-regression-tests: 2 pass check with different options.
  * Update to Standards-Version 4.6.1 (no changes).
  * Add systemd timer support for cert cleanup.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 25 Sep 2022 11:52:25 +0200

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,14 @@
                groff <!nodoc>,
                libbrotli-dev,
                libmbedtls-dev,
-               libpcre3-dev,
+               libpcre2-dev,
                man2html <!nodoc>,
                opensp:native <!nodoc>,
                po-debconf,
                sgmlspl <!nodoc>,
                w3m <!nodoc>,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://www.privoxy.org/
 Vcs-Git: https://salsa.debian.org/debian/privoxy.git
 Vcs-Browser: https://salsa.debian.org/debian/privoxy
@@ -30,7 +30,6 @@
 Depends: adduser,
          debconf,
          logrotate,
-         lsb-base (>= 3.2-13),
          ucf,
          ${misc:Depends},
          ${perl:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# (c) 2002-2021 Roland Rosenfeld <roland@debian.org>
+# (c) 2002-2022 Roland Rosenfeld <roland@debian.org>
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -25,6 +25,7 @@
 		--enable-external-filters \
 		--enable-extended-statistics \
 		--enable-pcre-host-patterns \
+		--enable-compression \
 		--with-mbedtls \
 		--with-brotli \
 		--with-docbook=/usr/share/sgml/docbook/stylesheet/dsssl/modular
@@ -116,3 +117,7 @@
 override_dh_perl:
 #	We only need perl-base:
 	dh_perl -d
+
+override_dh_installsystemd:
+	dh_installsystemd
+	dh_installsystemd --name privoxy-cleanup

## privoxy 4.0.0

=== debian/changelog ===
privoxy (4.0.0-2) unstable; urgency=medium

  * Add ca debconf translation.  Thanks to Carles Pina i Estany.
  * Update debian/upstream/signing-key.asc.
  * d/test/check-ssl : handle http proxy configuration (LP: #2097351).
    Thanks to Hector Cao <hector.cao@canonical.com> for providing a patch.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 05 Feb 2025 17:38:23 +0100

privoxy (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0.
  * Update all patches to new version.  The following patches are now
    incorporated upstream: 35_pcre-support, 36_pcre2-patternfix,
    37_socks-bufferoverflow, 38_filter.c-init1, 39_filter.c-init2,
    40_openssl-deprwarn, 41_md5-to-sha256.
  * Update debian/copyright.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 18 Jan 2025 15:33:14 +0100

privoxy (3.0.34-6) unstable; urgency=medium

  * d/test/check-ssl: run privoxy-regression-test --check-bad-ssl.
  * debian/rules: preserve upstream install-sh on clean.
  * 38_filter.c-init1, 39_filter.c-init2: initialize variables in
    filter.c.
  * d/test/check-ssl: Add tests via howsmyssl.com.
  * Switch from mbedTLS to OpenSSL (Closes: #1075870).
  * 40_openssl-deprwarn: Get rid of some openssl deprecation warnings.
  * 41_md5-to-sha256: Use sha256 as hash algorithm for cert/key files.
  * debian/salsa-ci.yml: Update to new recipe.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 12 Oct 2024 17:00:09 +0200

privoxy (3.0.34-5) unstable; urgency=medium

  * d/tests/privoxy-regression-test: wait for privoxy to start up.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 15 May 2024 20:23:18 +0200

privoxy (3.0.34-4) unstable; urgency=medium

  * Update debian/copyright with help by lrc tool.
  * d/apparmor/usr.sbin.privoxy: Fix running in container (LP: #2058866,
    thanks to Łukasz 'sil2100' Zemczak for providing the patch).
  * d/tests/privoxy-regression-test: place privoxy output into artifacts.
  * d/tests/privoxy-regression-test: preserve privoxy logfile.
  * 37_socks-bufferoverflow: Fix socks buffer overflow under source
    fortification (LP: #2059344).
  * Update to Standards-Version 4.7.0 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 14 May 2024 21:55:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: privoxy
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roland Rosenfeld <roland@debian.org>
+Maintainer: Roland Rosenfeld <roland@debian.org>
 Build-Depends: autoconf,
                debhelper-compat (= 13),
                dh-apparmor,
@@ -11,15 +10,15 @@
                docbook-utils <!nodoc>,
                groff <!nodoc>,
                libbrotli-dev,
-               libmbedtls-dev,
                libpcre2-dev,
+               libssl-dev,
                man2html <!nodoc>,
                opensp:native <!nodoc>,
                po-debconf,
                sgmlspl <!nodoc>,
                w3m <!nodoc>,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.privoxy.org/
 Vcs-Git: https://salsa.debian.org/debian/privoxy.git
 Vcs-Browser: https://salsa.debian.org/debian/privoxy

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# (c) 2002-2022 Roland Rosenfeld <roland@debian.org>
+# (c) 2002-2024 Roland Rosenfeld <roland@debian.org>
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -12,6 +12,11 @@
 
 %:
 	dh $@
+
+override_dh_autoreconf:
+#	preserve files overwritten by dh_autoreconf:
+	tar cf debian/autoreconf.tar install-sh
+	dh_autoreconf
 
 override_dh_auto_configure:
 	autoheader
@@ -26,7 +31,7 @@
 		--enable-extended-statistics \
 		--enable-pcre-host-patterns \
 		--enable-compression \
-		--with-mbedtls \
+		--with-openssl \
 		--with-brotli \
 		--with-docbook=/usr/share/sgml/docbook/stylesheet/dsssl/modular
 
@@ -34,7 +39,7 @@
 	$(MAKE)
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-# 	preserve auto build documentation from source package:
+#	preserve auto build documentation from source package:
 	tar cf debian/doc.tar README INSTALL AUTHORS doc/webserver privoxy.8
 	env -u LANG LC_ALL=C.UTF-8 $(MAKE) dok
 	rm -f doc/webserver/user-manual/*.bak
@@ -58,6 +63,12 @@
 	rm -f doc/source/ldp.dsl
 	rm -rf doc/source/temp
 	dh_clean
+
+override_dh_autoreconf_clean:
+	dh_autoreconf_clean
+#	restore files overwritten by dh_autoreconf:
+	[ ! -f debian/autoreconf.tar ] || tar xf debian/autoreconf.tar
+	rm -f debian/autoreconf.tar
 
 override_dh_auto_install:
 	install -m 0755 privoxy $(DEBDIR)/usr/sbin/privoxy
@@ -92,7 +103,7 @@
 	cp -r templates $(DEBDIR)/etc/privoxy/
 	rm -f $(DEBDIR)/etc/privoxy/templates/*~
 
-#      Remove trailing spaces from config files:
+#	Remove trailing spaces from config files:
 	find $(DEBDIR)/etc/privoxy -type f \
 	| xargs grep -l ' $$' \
 	| while read f; do \

=== debian/tests/control ===
Tests: privoxy-regression-test
Depends: privoxy, curl

Tests: check-ssl
Depends: privoxy, curl, openssl, ca-certificates, jq
Restrictions: needs-internet

Tests: conditional-defines
Depends: privoxy, libwww-perl, libhtml-tree-perl

## privoxy 4.1.0

=== debian/changelog ===
privoxy (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0.
  * Update 25_standard_medium to changed upstream.
  * Update debian/watch to version 5.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Update years of packaging copyright.
  * Remove «Priority: optional», which is the current default.
  * Update FSF address in copyright to URL.
  * debian/lrc.config: exclude docs pointing to other licenses.
  * Add zh_CN and zh_TW translation.  Thanks to Yangfl (Closes: #1124422).
  * Enable zstd support.
  * Update debian/copyright (and adjust debian/lrc.config).
  * Declare compliance with Debian Policy 4.7.3.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 05 Jan 2026 19:51:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: privoxy
+Maintainer: Roland Rosenfeld <roland@debian.org>
 Section: web
-Priority: optional
-Maintainer: Roland Rosenfeld <roland@debian.org>
 Build-Depends: autoconf,
                debhelper-compat (= 13),
                dh-apparmor,
@@ -12,30 +11,30 @@
                libbrotli-dev,
                libpcre2-dev,
                libssl-dev,
+               libzstd-dev,
                man2html <!nodoc>,
                opensp:native <!nodoc>,
                po-debconf,
                sgmlspl <!nodoc>,
                w3m <!nodoc>,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/debian/privoxy
+Vcs-Git: https://salsa.debian.org/debian/privoxy.git
 Homepage: https://www.privoxy.org/
-Vcs-Git: https://salsa.debian.org/debian/privoxy.git
-Vcs-Browser: https://salsa.debian.org/debian/privoxy
-Rules-Requires-Root: no
 
 Package: privoxy
 Architecture: any
-Depends: adduser,
+Depends: ${misc:Depends},
+         ${perl:Depends},
+         ${shlibs:Depends},
+         adduser,
          debconf,
          logrotate,
-         ucf,
-         ${misc:Depends},
-         ${perl:Depends},
-         ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+         ucf
 Recommends: doc-base
 Suggests: apparmor
+Pre-Depends: ${misc:Pre-Depends}
 Description: Privacy enhancing HTTP Proxy
  Privoxy is a web proxy with advanced filtering capabilities for
  protecting privacy, filtering web page content, managing cookies,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# (c) 2002-2024 Roland Rosenfeld <roland@debian.org>
+# (c) 2002-2026 Roland Rosenfeld <roland@debian.org>
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -33,6 +33,7 @@
 		--enable-compression \
 		--with-openssl \
 		--with-brotli \
+		--with-zstd \
 		--with-docbook=/usr/share/sgml/docbook/stylesheet/dsssl/modular
 
 override_dh_auto_build:

=== debian/watch ===
Version: 5

Source: https://sf.net/ijbswa/
Matching-Pattern: privoxy-(\d+.*)-(?:stable|beta)-src.tar.gz
Pgpsigurlmangle: s/$/.asc/
